Skip to navigation

Get an endpoint

Requires the inventory:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

endpointIdstringRequired
Endpoint UUID.

Response

The endpoint.
idstringformat: "uuid"
endpointstring
transportenum
Allowed values:
typeenum or null
applicationIdstringformat: "uuid"
locationstring or null
authRequiredboolean or null
createdAtdatetime
descriptionstring
objectiveslist of strings
startLineNumberinteger or null
endLineNumberinteger or null
authenticationRequiredobject or null
businessLogicstring or null
threatModelstring or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error